List knowledge bases
curl --request GET \
--url https://api.cloudtalk.io/v1/knowledge-bases \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.cloudtalk.io/v1/knowledge-bases"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.cloudtalk.io/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"createdAt": "2023-11-07T05:31:56Z",
"fileExtension": "<string>",
"name": "<string>",
"sourceType": "URL",
"sourceUrl": "<string>",
"status": "ACTIVE",
"updatedAt": "2023-11-07T05:31:56Z",
"voiceAgentIds": [
"<string>"
]
},
"id": "<string>",
"type": "<string>"
}
],
"pagination": {
"limit": 123,
"next": "<string>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "You are not authorized to access this resource."
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}VoiceAgent
List knowledge bases
Returns one page of the company’s knowledge bases. Pages are ordered by identifier and walked with limit and cursor.
GET
/
knowledge-bases
List knowledge bases
Authorizations
HTTP Basic Authentication. Use your API Access Key ID as the username and your API Access Key Secret as the password. Generate keys in the CloudTalk Dashboard under Account -> Settings -> API Keys (https://dashboard.cloudtalk.io/menu/account/settings/API-keys).
Query Parameters
Page size, 1-100; out-of-range values are clamped and the effective value echoed in pagination.limit
Example:
20
Opaque cursor from a previous page's pagination.next